2

I have been presented with the following error on when using civicrm-webform and paypal standard:

CiviCRM_API3_Exception: DB Constraint Violation - possibly domain_id should possibly be marked as mandatory for this API. If so, please raise a bug report. in civicrm_api3() (line 45 of /home/shishukunj/www/www/sites/all/modules/civicrm/api/api.php).

Is this a site specific issue or something to do with the core or the module?

Happy to help fix in either case as we are now committed to using 4.7 but need to iron out the bugs as we using webform-civicrm, related permissions and paypal payments heavily.

2
  • 1
    I'm experiencing the same issue using the OmniPay extension for CiviCRM with Payment Express. I get an error when trying to click through to the offsite payment processor. If I remove the credit card processor from the underlying contribution page and just allow Pay Later, I have no problem completing the registration. Oct 20, 2016 at 0:28
  • exactly the same error, using 4.7, webform, paypal standard. except for the path to your sites homedirectory :-)
    – commonpike
    Mar 28, 2017 at 14:27

1 Answer 1

1

This is NOT AN ANSWER but I am not allowed to comment since I only have 49 points. Seems ridiculous to me since I have been working with CiviCRM for over 8 years. Anyway I have the same problem as described above except that I am using eWay Payment processor. Is anyone able to respond with advice on this issue?

1
  • We also have a similar situation using CiviCRM 4.7 with Webforms and Paypal Standard. Nov 16, 2016 at 13:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.